publicación /grupos/{groupId}/aplicaciones

Parámetros de path

Parámetros de query

  • defaults booleano

    Whether or not to create a default application.

  • producto string

    The App's product type. Apps use the standard product type by default. For most apps, you do not need to specify a product at all, or should specify standard.

    The atlas, data-api, and device-sync product types represent special apps for Atlas Triggers, Atlas Data API, and Atlas Device Sync that you can access through the Atlas UI.

    Los valores son standard, atlas, data-api o device-sync.

aplicación/json

Cuerpo Requerido

An object that describes a new app to create

  • Nombre string

    The name of the application. Must begin with a letter and may only contain ASCII letters, numbers, underscores, and hyphens.

  • provider_region string

    Uno de:

    Los valores son aws-us-east-1, aws-us-west-2, aws-us-east-2, aws-eu-central-1, aws-eu-west-1, aws-eu-west-2, aws-ap-southeast-1, aws-ap-southeast-2, aws-ap-south-1 o aws-sa-east-1.

    Los valores son azure-eastus2, azure-westus, azure-westeurope, azure-eastasia o azure-southeastasia.

    Los valores son gcp-us-central1, gcp-us-east4, gcp-us-west1, gcp-europe-west1 o gcp-asia-south1.

  • ubicación string

    An identifier of the location where an app server is physically deployed to, regardless of the cloud provider that hosts the app.

    Los valores son US-VA, US-OR, DE-FF, IE, AU, IN-MB, SG o BR-SP.

  • deployment_model string

    An application deployment model.

    Los valores son GLOBAL o LOCAL.

  • medio ambiente string

    The application's environment.

    Los valores son development, testing, qa o production.

  • template_id string

    El ID de una aplicación de plantilla de App Services que se utilizará como base para la nueva aplicación.

  • data_source Objeto

    Uno de:

Respuestas

  • 201 aplicación/json

    La aplicación se ha creado correctamente.

    Ocultar atributos de respuesta Mostrar los atributos de respuesta Objeto

    A specific, existing application.

    • Nombre string

      The name of the application. Must begin with a letter and may only contain ASCII letters, numbers, underscores, and hyphens.

    • provider_region string

      Uno de:

      Los valores son aws-us-east-1, aws-us-west-2, aws-us-east-2, aws-eu-central-1, aws-eu-west-1, aws-eu-west-2, aws-ap-southeast-1, aws-ap-southeast-2, aws-ap-south-1 o aws-sa-east-1.

      Los valores son azure-eastus2, azure-westus, azure-westeurope, azure-eastasia o azure-southeastasia.

      Los valores son gcp-us-central1, gcp-us-east4, gcp-us-west1, gcp-europe-west1 o gcp-asia-south1.

    • ubicación string

      An identifier of the location where an app server is physically deployed to, regardless of the cloud provider that hosts the app.

      Los valores son US-VA, US-OR, DE-FF, IE, AU, IN-MB, SG o BR-SP.

    • deployment_model string

      An application deployment model.

      Los valores son GLOBAL o LOCAL.

    • medio ambiente string

      The application's environment.

      Los valores son development, testing, qa o production.

    • _id string

      El ID interno único de la aplicación.

    • id_de_aplicación_del_cliente string

      El ID de la aplicación pública de la aplicación.

    • domain_id string

      El ID de dominio asociado a la aplicación.

    • group_id string

      The application's Atlas Project/Group ID.

    • last_used entero

      The time this app was last used in UNIX time (i.e. the number of seconds since Jan 1, 1970).

    • last_modified entero

      The time this app was last modified in UNIX time (i.e. the number of seconds since Jan 1, 1970).

    • producto string

      The product this app is for.

      Los valores son standard, atlas, data-api o device-sync.

  • 400 aplicación/json

    There is an error in the request.

    Ocultar atributos de respuesta Mostrar los atributos de respuesta Objeto
    • Error string

      Un mensaje que describe el error.

    • error_code string

      El tipo de error.

POST /groups/{groupId}/apps
curl \
 --request POST 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"MyApp","provider_region":"aws-us-east-1","location":"US-VA","deployment_model":"GLOBAL","environment":"production","template_id":"string","data_source":{"_id":"string","name":"string","type":"string"}}'
Solicitar ejemplos
{
  "name": "MyApp",
  "provider_region": "aws-us-east-1",
  "location": "US-VA",
  "deployment_model": "GLOBAL",
  "environment": "production",
  "template_id": "string",
  "data_source": {
    "_id": "string",
    "name": "string",
    "type": "string"
  }
}
Ejemplos de respuestas (201)
{
  "name": "MyApp",
  "provider_region": "aws-us-east-1",
  "location": "US-VA",
  "deployment_model": "GLOBAL",
  "environment": "production",
  "_id": "633209ffd3bd3478005d1bac",
  "client_app_id": "myapp-abcde",
  "domain_id": "63320a2b5f9de9a6e0a213e8",
  "group_id": "5b2ec991973129243223a114",
  "last_used": 1664224746,
  "last_modified": 1656440824,
  "product": "standard"
}
Ejemplos de respuestas (400)
{
  "error": "string",
  "error_code": "string"
}